{
	"0: data": {
		"srcIndexStart": "0", 
		"file": "docssrc/docs.Tools.OtherTools.tmpl", 
		"parseTreeMode": "true", 
		"srcLength": "5216", 
		"source": "[$name|OtherTools$]
[$title|Other Tools$]
[$frame|HTMLPage.tmpl$]
[$desc|Tools that are not part of Goldie but may be useful to Goldie users$]

<p>
Here are some tools that are not part of Goldie but may be useful
to Goldie users:
</p>

<ul>
	<li>[$pageLink|#GOLD|GOLD Parser Builder$]</li>
	<li>[$pageLink|#Graphviz|Graphviz$]</li>
	<li>[$pageLink|#GOLDWiki|GOLD Wiki$]</li>
	<li>[$pageLink|#EngineLinks|Other GOLD-Compatible Engines$]</li>
	<li>[$pageLink|#ToolLinks|Other GOLD-Compatible Tools$]</li>
</ul>

<a name=\"GOLD\" />
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">GOLD Parser Builder</h2>
<p>
An excellent freeware tool. Goldie started out as an engine for the
[$link| http://goldparser.org/ | GOLD Parsing System $].
GOLD Parser Builder can be used to create, modify and test languages that
can be used with Goldie or any other GOLD-compatible tool.
</p>
<p>
GOLD Parser Builder features:
</p>
<ul>
<li>Grammar editor with syntax highlighting.</li>
<li>
Grammar-generating wizard.
(This was used to help create Goldie's sample
[$link| https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.grm | calc.grm $]
grammar.)
</li>
<li>Test window to step through parsing of a sample source.</li>
<li>Templating system that can generate lexers/parsers or skeleton programs for various languages.</li>
<li>Importing/exporting with YACC/Bison format.</li>
<li>Interactive inspection of the compiled DFA and LALR tables.</li>
</ul>
<p>
Many people like the new v5 (which runs on .NET). Personally, I prefer the
older v3.4.4 because the editor is much more responsive and the UI
uses screen space more efficiently (although it doesn't have syntax highlighting).
But any version will work fine with Goldie.
</p>
<p>
Note, however, that Goldie doesn't
yet support the new features added in GOLD v5, such as the .egt file format.
Fortunately, these new features are purely optional. If you stick to the older
[$pageLink|CGT|.cgt$] format,
everything will work fine with Goldie.
</p>
<p>
GOLD Parser Builder is a Windows program and comes in separate GUI and command-line versions.
The older v3.4.4 works under Wine, although it can be slow at certain points.
I haven't been able to get v4 to work under Mono
(although I haven't tried the command-line version, the newer v5, or newer versions of Mono).
</p>

<ul>
<li>[$link| http://goldparser.org/ | GOLD Parser Builder Homepage $]</li>
<li>[$link| http://goldparser.org/builder/index.htm | Download Page $] (only lists latest version)</li>
<li>[$link| http://www.semitwist.com/download/gold-parser-builder-3-4-4.zip | Direct Download Link for v3.4.4 $]</li>
<li>[$link| http://goldparser.org/builder/index.htm#Tools | GOLD Tools and Add-Ons $] (GOLD tools are compatible with Goldie)</li>
</ul>

<a name=\"Graphviz\" />
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">Graphviz</h2>
<p>
Goldie's [$pageTitle|GRMC$] can output the lexer's original NFA and resulting
[$link|http://goldparser.org/articles/dfa.htm|DFA$] in Graphviz's
[$link|http://en.wikipedia.org/wiki/DOT_language|DOT$] format.
These can then be viewed graphically or converted into images using Graphviz
(or any other DOT-compatible visualization software).
An explanation of how to use Graphviz with Goldie is on the
[$pageLink|Tutorial#LexerGraph|Beginner's Tutorial$] page.
</p>
<ul>
<li>[$link| http://www.graphviz.org/ | Graphviz Homepage $]</li>
<li>[$pageLink| Tutorial#LexerGraph | Using Graphviz With Goldie $]</li>
</ul>

<a name=\"GOLDWiki\" />
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">GOLD Wiki</h2>
<p>
A public Wiki for GOLD and GOLD-related tools such as Goldie.
</p>
<ul>
<li>[$link| http://www.semitwist.com/goldwiki/ | GOLD Wiki Homepage $]</li>
<li>[$link| http://www.semitwist.com/goldwiki/Main/Tools | GOLD-Related Tools $]</li>
<li>[$link| http://www.semitwist.com/goldwiki/Main/EngineComparison | List/Comparison of GOLD Engines $] (GOLD Engines are compatible with Goldie)</li>
</ul>

<a name=\"EngineLinks\" />
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">Other GOLD-Compatible Engines</h2>
<p>
[$pageLink|APIOver|GoldieLib$] is a [$pageLink|Overview#Engine| GOLD-compatible engine $]
for [$link| http://www.d-programming-language.org/ | D v2.x $]. But there many
other engines compatible with GOLD and Goldie for a wide variety of languages,
since they're fairly easy to write.
</p>
<ul>
<li>[$link| http://goldparser.org/engine/index.htm | GOLD's list of engines $]</li>
<li>[$link| http://www.semitwist.com/goldwiki/Main/EngineComparison | GOLD Wiki's list/comparison of engines $]</li>
<li>[$link| http://goldparser.org/doc/engine-pseudo/index.htm | GOLD's documentation for writing your own engine $]</li>
</ul>

<a name=\"ToolLinks\" />
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">Other GOLD-Compatible Tools</h2>
<p>
More GOLD/Goldie-related tools can be found at the links below. Note that
GOLD tools and engines are compatible with Goldie.
</p>
<ul>
<li>[$link| http://goldparser.org/builder/index.htm#Tools | GOLD's list of tools $]</li>
<li>[$link| http://www.semitwist.com/goldwiki/Main/Tools | GOLD Wiki's list of tools $]</li>
</ul>
", 
		"0: name": {
			"srcIndexStart": "0", 
			"data": "OtherTools", 
			"srcLength": "19", 
			"0: data": {
				"srcIndexStart": "7", 
				"data": "OtherTools", 
				"srcLength": "10"
			}
		}, 
		"1: data": {
			"srcIndexStart": "19", 
			"data": "
", 
			"srcLength": "2"
		}, 
		"2: title": {
			"srcIndexStart": "21", 
			"data": "Other Tools", 
			"srcLength": "21", 
			"0: data": {
				"srcIndexStart": "29", 
				"data": "Other Tools", 
				"srcLength": "11"
			}
		}, 
		"3: data": {
			"srcIndexStart": "42", 
			"data": "
", 
			"srcLength": "2"
		}, 
		"4: frame": {
			"srcIndexStart": "44", 
			"data": "HTMLPage.tmpl", 
			"srcLength": "23", 
			"0: data": {
				"srcIndexStart": "52", 
				"data": "HTMLPage.tmpl", 
				"srcLength": "13"
			}
		}, 
		"5: data": {
			"srcIndexStart": "67", 
			"data": "
", 
			"srcLength": "2"
		}, 
		"6: desc": {
			"srcIndexStart": "69", 
			"data": "Tools that are not part of Goldie but may be useful to Goldie users", 
			"srcLength": "76", 
			"0: data": {
				"srcIndexStart": "76", 
				"data": "Tools that are not part of Goldie but may be useful to Goldie users", 
				"srcLength": "67"
			}
		}, 
		"7: data": {
			"srcIndexStart": "145", 
			"data": "

<p>
Here are some tools that are not part of Goldie but may be useful
to Goldie users:
</p>

<ul>
	<li>", 
			"srcLength": "113"
		}, 
		"8: pageLink": {
			"srcIndexStart": "258", 
			"param 0": "#GOLD", 
			"data": "GOLD Parser Builder", 
			"srcLength": "38", 
			"0: data": {
				"srcIndexStart": "275", 
				"data": "GOLD Parser Builder", 
				"srcLength": "19"
			}
		}, 
		"9: data": {
			"srcIndexStart": "296", 
			"data": "</li>
	<li>", 
			"srcLength": "12"
		}, 
		"10: pageLink": {
			"srcIndexStart": "308", 
			"param 0": "#Graphviz", 
			"data": "Graphviz", 
			"srcLength": "31", 
			"0: data": {
				"srcIndexStart": "329", 
				"data": "Graphviz", 
				"srcLength": "8"
			}
		}, 
		"11: data": {
			"srcIndexStart": "339", 
			"data": "</li>
	<li>", 
			"srcLength": "12"
		}, 
		"12: pageLink": {
			"srcIndexStart": "351", 
			"param 0": "#GOLDWiki", 
			"data": "GOLD Wiki", 
			"srcLength": "32", 
			"0: data": {
				"srcIndexStart": "372", 
				"data": "GOLD Wiki", 
				"srcLength": "9"
			}
		}, 
		"13: data": {
			"srcIndexStart": "383", 
			"data": "</li>
	<li>", 
			"srcLength": "12"
		}, 
		"14: pageLink": {
			"srcIndexStart": "395", 
			"param 0": "#EngineLinks", 
			"data": "Other GOLD-Compatible Engines", 
			"srcLength": "55", 
			"0: data": {
				"srcIndexStart": "419", 
				"data": "Other GOLD-Compatible Engines", 
				"srcLength": "29"
			}
		}, 
		"15: data": {
			"srcIndexStart": "450", 
			"data": "</li>
	<li>", 
			"srcLength": "12"
		}, 
		"16: pageLink": {
			"srcIndexStart": "462", 
			"param 0": "#ToolLinks", 
			"data": "Other GOLD-Compatible Tools", 
			"srcLength": "51", 
			"0: data": {
				"srcIndexStart": "484", 
				"data": "Other GOLD-Compatible Tools", 
				"srcLength": "27"
			}
		}, 
		"17: data": {
			"srcIndexStart": "513", 
			"data": "</li>
</ul>

<a name=\"GOLD\" />
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">GOLD Parser Builder</h2>
<p>
An excellent freeware tool. Goldie started out as an engine for the
", 
			"srcLength": "183"
		}, 
		"18: link": {
			"srcIndexStart": "696", 
			"param 0": "http://goldparser.org/", 
			"data": "GOLD Parsing System", 
			"srcLength": "55", 
			"0: data": {
				"srcIndexStart": "728", 
				"data": "GOLD Parsing System", 
				"srcLength": "21"
			}
		}, 
		"19: data": {
			"srcIndexStart": "751", 
			"data": ".
GOLD Parser Builder can be used to create, modify and test languages that
can be used with Goldie or any other GOLD-compatible tool.
</p>
<p>
GOLD Parser Builder features:
</p>
<ul>
<li>Grammar editor with syntax highlighting.</li>
<li>
Grammar-generating wizard.
(This was used to help create Goldie's sample
", 
			"srcLength": "324"
		}, 
		"20: link": {
			"srcIndexStart": "1075", 
			"param 0": "https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.grm", 
			"data": "calc.grm", 
			"srcLength": "82", 
			"0: data": {
				"srcIndexStart": "1145", 
				"data": "calc.grm", 
				"srcLength": "10"
			}
		}, 
		"21: data": {
			"srcIndexStart": "1157", 
			"data": "
grammar.)
</li>
<li>Test window to step through parsing of a sample source.</li>
<li>Templating system that can generate lexers/parsers or skeleton programs for various languages.</li>
<li>Importing/exporting with YACC/Bison format.</li>
<li>Interactive inspection of the compiled DFA and LALR tables.</li>
</ul>
<p>
Many people like the new v5 (which runs on .NET). Personally, I prefer the
older v3.4.4 because the editor is much more responsive and the UI
uses screen space more efficiently (although it doesn't have syntax highlighting).
But any version will work fine with Goldie.
</p>
<p>
Note, however, that Goldie doesn't
yet support the new features added in GOLD v5, such as the .egt file format.
Fortunately, these new features are purely optional. If you stick to the older
", 
			"srcLength": "805"
		}, 
		"22: pageLink": {
			"srcIndexStart": "1962", 
			"param 0": "CGT", 
			"data": ".cgt", 
			"srcLength": "21", 
			"0: data": {
				"srcIndexStart": "1977", 
				"data": ".cgt", 
				"srcLength": "4"
			}
		}, 
		"23: data": {
			"srcIndexStart": "1983", 
			"data": " format,
everything will work fine with Goldie.
</p>
<p>
GOLD Parser Builder is a Windows program and comes in separate GUI and command-line versions.
The older v3.4.4 works under Wine, although it can be slow at certain points.
I haven't been able to get v4 to work under Mono
(although I haven't tried the command-line version, the newer v5, or newer versions of Mono).
</p>

<ul>
<li>", 
			"srcLength": "398"
		}, 
		"24: link": {
			"srcIndexStart": "2381", 
			"param 0": "http://goldparser.org/", 
			"data": "GOLD Parser Builder Homepage", 
			"srcLength": "64", 
			"0: data": {
				"srcIndexStart": "2413", 
				"data": "GOLD Parser Builder Homepage", 
				"srcLength": "30"
			}
		}, 
		"25: data": {
			"srcIndexStart": "2445", 
			"data": "</li>
<li>", 
			"srcLength": "11"
		}, 
		"26: link": {
			"srcIndexStart": "2456", 
			"param 0": "http://goldparser.org/builder/index.htm", 
			"data": "Download Page", 
			"srcLength": "66", 
			"0: data": {
				"srcIndexStart": "2505", 
				"data": "Download Page", 
				"srcLength": "15"
			}
		}, 
		"27: data": {
			"srcIndexStart": "2522", 
			"data": " (only lists latest version)</li>
<li>", 
			"srcLength": "39"
		}, 
		"28: link": {
			"srcIndexStart": "2561", 
			"param 0": "http://www.semitwist.com/download/gold-parser-builder-3-4-4.zip", 
			"data": "Direct Download Link for v3.4.4", 
			"srcLength": "108", 
			"0: data": {
				"srcIndexStart": "2634", 
				"data": "Direct Download Link for v3.4.4", 
				"srcLength": "33"
			}
		}, 
		"29: data": {
			"srcIndexStart": "2669", 
			"data": "</li>
<li>", 
			"srcLength": "11"
		}, 
		"30: link": {
			"srcIndexStart": "2680", 
			"param 0": "http://goldparser.org/builder/index.htm#Tools", 
			"data": "GOLD Tools and Add-Ons", 
			"srcLength": "81", 
			"0: data": {
				"srcIndexStart": "2735", 
				"data": "GOLD Tools and Add-Ons", 
				"srcLength": "24"
			}
		}, 
		"31: data": {
			"srcIndexStart": "2761", 
			"data": " (GOLD tools are compatible with Goldie)</li>
</ul>

<a name=\"Graphviz\" />
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">Graphviz</h2>
<p>
Goldie's ", 
			"srcLength": "156"
		}, 
		"32: pageTitle": {
			"srcIndexStart": "2917", 
			"data": "GRMC", 
			"srcLength": "18", 
			"0: data": {
				"srcIndexStart": "2929", 
				"data": "GRMC", 
				"srcLength": "4"
			}
		}, 
		"33: data": {
			"srcIndexStart": "2935", 
			"data": " can output the lexer's original NFA and resulting
", 
			"srcLength": "52"
		}, 
		"34: link": {
			"srcIndexStart": "2987", 
			"param 0": "http://goldparser.org/articles/dfa.htm", 
			"data": "DFA", 
			"srcLength": "51", 
			"0: data": {
				"srcIndexStart": "3033", 
				"data": "DFA", 
				"srcLength": "3"
			}
		}, 
		"35: data": {
			"srcIndexStart": "3038", 
			"data": " in Graphviz's
", 
			"srcLength": "16"
		}, 
		"36: link": {
			"srcIndexStart": "3054", 
			"param 0": "http://en.wikipedia.org/wiki/DOT_language", 
			"data": "DOT", 
			"srcLength": "54", 
			"0: data": {
				"srcIndexStart": "3103", 
				"data": "DOT", 
				"srcLength": "3"
			}
		}, 
		"37: data": {
			"srcIndexStart": "3108", 
			"data": " format.
These can then be viewed graphically or converted into images using Graphviz
(or any other DOT-compatible visualization software).
An explanation of how to use Graphviz with Goldie is on the
", 
			"srcLength": "204"
		}, 
		"38: pageLink": {
			"srcIndexStart": "3312", 
			"param 0": "Tutorial#LexerGraph", 
			"data": "Beginner's Tutorial", 
			"srcLength": "52", 
			"0: data": {
				"srcIndexStart": "3343", 
				"data": "Beginner's Tutorial", 
				"srcLength": "19"
			}
		}, 
		"39: data": {
			"srcIndexStart": "3364", 
			"data": " page.
</p>
<ul>
<li>", 
			"srcLength": "24"
		}, 
		"40: link": {
			"srcIndexStart": "3388", 
			"param 0": "http://www.graphviz.org/", 
			"data": "Graphviz Homepage", 
			"srcLength": "55", 
			"0: data": {
				"srcIndexStart": "3422", 
				"data": "Graphviz Homepage", 
				"srcLength": "19"
			}
		}, 
		"41: data": {
			"srcIndexStart": "3443", 
			"data": "</li>
<li>", 
			"srcLength": "11"
		}, 
		"42: pageLink": {
			"srcIndexStart": "3454", 
			"param 0": "Tutorial#LexerGraph", 
			"data": "Using Graphviz With Goldie", 
			"srcLength": "63", 
			"0: data": {
				"srcIndexStart": "3487", 
				"data": "Using Graphviz With Goldie", 
				"srcLength": "28"
			}
		}, 
		"43: data": {
			"srcIndexStart": "3517", 
			"data": "</li>
</ul>

<a name=\"GOLDWiki\" />
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">GOLD Wiki</h2>
<p>
A public Wiki for GOLD and GOLD-related tools such as Goldie.
</p>
<ul>
<li>", 
			"srcLength": "187"
		}, 
		"44: link": {
			"srcIndexStart": "3704", 
			"param 0": "http://www.semitwist.com/goldwiki/", 
			"data": "GOLD Wiki Homepage", 
			"srcLength": "66", 
			"0: data": {
				"srcIndexStart": "3748", 
				"data": "GOLD Wiki Homepage", 
				"srcLength": "20"
			}
		}, 
		"45: data": {
			"srcIndexStart": "3770", 
			"data": "</li>
<li>", 
			"srcLength": "11"
		}, 
		"46: link": {
			"srcIndexStart": "3781", 
			"param 0": "http://www.semitwist.com/goldwiki/Main/Tools", 
			"data": "GOLD-Related Tools", 
			"srcLength": "76", 
			"0: data": {
				"srcIndexStart": "3835", 
				"data": "GOLD-Related Tools", 
				"srcLength": "20"
			}
		}, 
		"47: data": {
			"srcIndexStart": "3857", 
			"data": "</li>
<li>", 
			"srcLength": "11"
		}, 
		"48: link": {
			"srcIndexStart": "3868", 
			"param 0": "http://www.semitwist.com/goldwiki/Main/EngineComparison", 
			"data": "List/Comparison of GOLD Engines", 
			"srcLength": "100", 
			"0: data": {
				"srcIndexStart": "3933", 
				"data": "List/Comparison of GOLD Engines", 
				"srcLength": "33"
			}
		}, 
		"49: data": {
			"srcIndexStart": "3968", 
			"data": " (GOLD Engines are compatible with Goldie)</li>
</ul>

<a name=\"EngineLinks\" />
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">Other GOLD-Compatible Engines</h2>
<p>
", 
			"srcLength": "173"
		}, 
		"50: pageLink": {
			"srcIndexStart": "4141", 
			"param 0": "APIOver", 
			"data": "GoldieLib", 
			"srcLength": "30", 
			"0: data": {
				"srcIndexStart": "4160", 
				"data": "GoldieLib", 
				"srcLength": "9"
			}
		}, 
		"51: data": {
			"srcIndexStart": "4171", 
			"data": " is a ", 
			"srcLength": "6"
		}, 
		"52: pageLink": {
			"srcIndexStart": "4177", 
			"param 0": "Overview#Engine", 
			"data": "GOLD-compatible engine", 
			"srcLength": "53", 
			"0: data": {
				"srcIndexStart": "4204", 
				"data": "GOLD-compatible engine", 
				"srcLength": "24"
			}
		}, 
		"53: data": {
			"srcIndexStart": "4230", 
			"data": "
for ", 
			"srcLength": "6"
		}, 
		"54: link": {
			"srcIndexStart": "4236", 
			"param 0": "http://www.d-programming-language.org/", 
			"data": "D v2.x", 
			"srcLength": "58", 
			"0: data": {
				"srcIndexStart": "4284", 
				"data": "D v2.x", 
				"srcLength": "8"
			}
		}, 
		"55: data": {
			"srcIndexStart": "4294", 
			"data": ". But there many
other engines compatible with GOLD and Goldie for a wide variety of languages,
since they're fairly easy to write.
</p>
<ul>
<li>", 
			"srcLength": "151"
		}, 
		"56: link": {
			"srcIndexStart": "4445", 
			"param 0": "http://goldparser.org/engine/index.htm", 
			"data": "GOLD's list of engines", 
			"srcLength": "74", 
			"0: data": {
				"srcIndexStart": "4493", 
				"data": "GOLD's list of engines", 
				"srcLength": "24"
			}
		}, 
		"57: data": {
			"srcIndexStart": "4519", 
			"data": "</li>
<li>", 
			"srcLength": "11"
		}, 
		"58: link": {
			"srcIndexStart": "4530", 
			"param 0": "http://www.semitwist.com/goldwiki/Main/EngineComparison", 
			"data": "GOLD Wiki's list/comparison of engines", 
			"srcLength": "107", 
			"0: data": {
				"srcIndexStart": "4595", 
				"data": "GOLD Wiki's list/comparison of engines", 
				"srcLength": "40"
			}
		}, 
		"59: data": {
			"srcIndexStart": "4637", 
			"data": "</li>
<li>", 
			"srcLength": "11"
		}, 
		"60: link": {
			"srcIndexStart": "4648", 
			"param 0": "http://goldparser.org/doc/engine-pseudo/index.htm", 
			"data": "GOLD's documentation for writing your own engine", 
			"srcLength": "111", 
			"0: data": {
				"srcIndexStart": "4707", 
				"data": "GOLD's documentation for writing your own engine", 
				"srcLength": "50"
			}
		}, 
		"61: data": {
			"srcIndexStart": "4759", 
			"data": "</li>
</ul>

<a name=\"ToolLinks\" />
<h2 style=\"margin-bottom: 0px; margin-top: 0px\">Other GOLD-Compatible Tools</h2>
<p>
More GOLD/Goldie-related tools can be found at the links below. Note that
GOLD tools and engines are compatible with Goldie.
</p>
<ul>
<li>", 
			"srcLength": "270"
		}, 
		"62: link": {
			"srcIndexStart": "5029", 
			"param 0": "http://goldparser.org/builder/index.htm#Tools", 
			"data": "GOLD's list of tools", 
			"srcLength": "79", 
			"0: data": {
				"srcIndexStart": "5084", 
				"data": "GOLD's list of tools", 
				"srcLength": "22"
			}
		}, 
		"63: data": {
			"srcIndexStart": "5108", 
			"data": "</li>
<li>", 
			"srcLength": "11"
		}, 
		"64: link": {
			"srcIndexStart": "5119", 
			"param 0": "http://www.semitwist.com/goldwiki/Main/Tools", 
			"data": "GOLD Wiki's list of tools", 
			"srcLength": "83", 
			"0: data": {
				"srcIndexStart": "5173", 
				"data": "GOLD Wiki's list of tools", 
				"srcLength": "27"
			}
		}, 
		"65: data": {
			"srcIndexStart": "5202", 
			"data": "</li>
</ul>", 
			"srcLength": "14"
		}
	}
}